// Clipboard.h: interface for the CClipboard class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CLIPBOARD_H__5210B53D_33D5_4DB0_8E84_E3E7727EE65B__INCLUDED_)
#define AFX_CLIPBOARD_H__5210B53D_33D5_4DB0_8E84_E3E7727EE65B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CClipboard  
{
public:
	// Constr./Destr.
	CClipboard();
	virtual ~CClipboard();

	// General Fns.
	void DeleteAnnotationList(void);
	void DeleteBlockList(void);
	void DeleteConnectionList(void);

	// Accessor Fns.
	list<CAnnotation*> &GetAnnotationList(void);
	list<CBlock*> &GetBlockList(void);
	list<CConnection*> &GetConnectionList(void);

private:
	list<CAnnotation*> m_lstAnnotation;	// list of ptrs-to-CAnnotation
	list<CBlock*> m_lstBlock;			// list of ptrs-to-CBlock
	list<CConnection*> m_lstConnection;	// list of ptrs-to-CConnection
};

#endif // !defined(AFX_CLIPBOARD_H__5210B53D_33D5_4DB0_8E84_E3E7727EE65B__INCLUDED_)
